Help - Search - Members - Calendar
Full Version: Qtopia Programs On Pdaxrom?
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
daniel3000
Hello,

coming from Cacko ROM, I have of course a few QTopia apps I'd like to use on pdaXrom rolleyes.gif

One of them is the outliner "StageOne" which is not available as source code, just as Sharp ROM binary.

If I install the IPK, ldd complains about the missing libraries

libsl (for linked lists implementation, probably compilable on pdaXrom without a problem)
libzdtm (don't know why this is needed: DTM access library)
libqpe
libqte

If I execute the binary, it complains about the missing libsl.so.1 but nothing else (so segfault or something like that).

So please help me with my limited develoment knowledge:

Would StageOne run, if I compile and install these missing libraries?
Is it possible to compile these four libraries (they are not avialable in any of the feeds I use, I suspect especially the libq* libs to be problematic).

Any hint appreciated,
thanks!
daniel
Bundabrg
You would need to recompile it (if possible) for X. The sharp binary and indeed any gui app for Cacko or sharp uses QTopia or Opie to display.
My understanding is that QTopia/Opie apps can not display under X and vice versa.
Reaper
There IS a project dedicated to this problem, but many programs don't work.
See this topic (and try to use search in the future wink.gif):
http://www.oesf.org/forums/index.php?showtopic=17957
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.